import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { BytesLib, BytesLibInterface } from "../../../../contracts/external/libraries/BytesLib";
type BytesLibConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class BytesLib__factory extends ContractFactory {
    constructor(...args: BytesLibConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string;
    }): Promise<BytesLib>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string;
    }): TransactionRequest;
    attach(address: string): BytesLib;
    connect(signer: Signer): BytesLib__factory;
    static readonly bytecode = "0x6080806040523460175760399081601c823930815050f35b5f80fdfe5f80fdfea2646970667358221220f903dc99491c077478e213e0a54f0cff271c344944da7c0e810c60b5207f635f64736f6c634300081e0033";
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "OutOfBounds";
        readonly type: "error";
    }];
    static createInterface(): BytesLibInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): BytesLib;
}
export {};
